> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Debit Memo

> 
        Retrieves a single accounting debit memo with complete details including line items,
        payments, and accounting relationships.
        



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json get /coa/api/v1/debit-memo/{id}
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/v1/debit-memo/{id}:
    get:
      tags:
        - Accounts Payable
      summary: Retrieve Debit Memo
      description: |2-

                Retrieves a single accounting debit memo with complete details including line items,
                payments, and accounting relationships.
                
      operationId: coa_api_v1_debit_memo_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountingDebitMemo'
              examples:
                DebitMemoDetailsResponse:
                  value:
                    id: 343
                    lines:
                      - id: 409
                        account_number: '6500'
                        account_name: 6500 - Travel Expenses
                        department_name: Customer Support
                        tags:
                          - id: 8344
                            group_name: Fund
                            parent_name: null
                            parent: null
                            name: Fund 1
                            created_at: 2025-07-15T18:40:55+0000
                            last_modified_at: 2025-07-15T18:40:55+0000
                            group: 696
                        description: Debit Memo Line
                        amount: 1000.01
                        created_at: 2025-07-25T21:50:15+0000
                        last_modified_at: 2025-07-25T21:50:15+0000
                        account: 2613
                        department: 365
                    payments:
                      - id: 456
                        payment_journal_entry: 7495834
                        payment_journal_entry_order: JE-0007825
                        payment_transaction: 19485764
                        amount: 500
                        payment_date: '2025-07-15'
                        created_at: 2025-07-15T14:30:22+0000
                        last_modified_at: 2025-07-15T14:30:22+0000
                        voided_date: null
                        voided_journal_entry: null
                        bill:
                          id: 47893
                          bill_number: BILL-0000513
                    total_amount: 1000.01
                    amount_used: 500
                    amount_remaining: 500.01
                    entity_name: Top Level
                    entity_currency: USD
                    vendor_name: ABC Bead Supply
                    debit_account_name: 5230 - Cloud Credits
                    attachments:
                      - id: 15644
                        name: debit_memo_supporting_docs.pdf
                        file_size: 245760
                        content_type: application/pdf
                        created_at: 2025-07-01T10:15:33+0000
                        last_modified_at: 2025-07-01T10:15:33+0000
                    debit_memo_number: DM-0000005
                    voided_date: null
                    ref_number: REF-2025-0088
                    debit_memo_date: '2025-07-01'
                    applied_date: '2025-07-15'
                    message_on_debit_memo: Debit Memo Message
                    application_status: partially_used
                    currency: USD
                    exchange_rate: 1
                    exchange_rate_book: 1
                    created_at: 2025-07-25T21:50:15+0000
                    last_modified_at: 2025-07-15T14:30:22+0000
                    customer: 2
                    entity: 54
                    vendor: 34182
                    debit_account: 41905
                    journal_entry: 7491954
                    voided_journal_entry: null
                  summary: Debit Memo Details Response
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    AccountingDebitMemo:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        lines:
          type: array
          items:
            $ref: '#/components/schemas/AccountingDebitMemoLine'
        payments:
          type: array
          items:
            $ref: '#/components/schemas/AccountingDebitMemoPayment'
          readOnly: true
        amount_remaining:
          type: number
          format: double
          description: Calculate amount remaining from database fields
          readOnly: true
        entity_name:
          type: string
          readOnly: true
        entity_currency:
          type: string
          readOnly: true
        vendor_name:
          type: string
          readOnly: true
        debit_account_number:
          type: string
          readOnly: true
        debit_account_name:
          type: string
          nullable: true
          description: Combines account number and name in the format "number - name"
          readOnly: true
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/File'
          readOnly: true
        debit_memo_number:
          type: string
        migrated_journal_id:
          type: integer
          writeOnly: true
          nullable: true
        voided_date:
          type: string
          format: date
          readOnly: true
        voided_journal_entry_order:
          type: string
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        is_deleted:
          type: boolean
          readOnly: true
          default: false
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        chat_uuid:
          type: string
          format: uuid
          writeOnly: true
        search_vector:
          type: string
          readOnly: true
          nullable: true
        search_text:
          type: string
          readOnly: true
          nullable: true
        ref_number:
          type: string
          nullable: true
          maxLength: 120
        debit_memo_date:
          type: string
          format: date
        applied_date:
          type: string
          format: date
          nullable: true
        message_on_debit_memo:
          type: string
          nullable: true
        source_id:
          type: string
          nullable: true
          maxLength: 120
        source:
          type: string
          nullable: true
          maxLength: 120
        application_status:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ApplicationStatusEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        currency:
          type: string
          maxLength: 3
        exchange_rate:
          type: number
          format: double
          maximum: 100000000000000
          minimum: -100000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        exchange_rate_book:
          type: number
          format: double
          maximum: 100000000000000
          minimum: -100000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        total_amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          description: Sum of all line item amounts
        amount_used:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          description: Sum of all non-voided payment amounts
        chat_id:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
        tax_behavior:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/TaxBehaviorEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        customer:
          type: integer
          readOnly: true
        entity:
          type: integer
        vendor:
          type: integer
          nullable: true
        debit_account:
          type: integer
          nullable: true
        journal_entry:
          type: integer
          nullable: true
        voided_journal_entry:
          type: integer
          nullable: true
      required:
        - amount_remaining
        - attachments
        - created_at
        - customer
        - debit_account_name
        - debit_account_number
        - debit_memo_date
        - deleted_at
        - entity
        - entity_currency
        - entity_name
        - id
        - is_deleted
        - last_modified_at
        - lines
        - payments
        - search_text
        - search_vector
        - vendor_name
        - voided_date
        - voided_journal_entry_order
    AccountingDebitMemoLine:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        debit_memo:
          type: integer
          writeOnly: true
        account_number:
          type: string
          readOnly: true
        account_name:
          type: string
          nullable: true
          description: Combines account number and name in the format "number - name"
          readOnly: true
        department_name:
          type: string
          readOnly: true
        tags:
          type: array
          items:
            $ref: '#/components/schemas/TransactionTag'
          readOnly: true
        tax_rate_name:
          type: string
          readOnly: true
        tax_rate_value:
          type: number
          format: double
          maximum: 10000000000
          minimum: -10000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          readOnly: true
        description:
          type: string
          nullable: true
        amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        tax:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        tax_description:
          type: string
          nullable: true
          maxLength: 255
        tag_ids:
          type: array
          items:
            type: integer
            maximum: 9223372036854776000
            minimum: -9223372036854776000
            format: int64
        tag_group_ids:
          type: array
          items:
            type: integer
            maximum: 9223372036854776000
            minimum: -9223372036854776000
            format: int64
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        customer:
          type: integer
          readOnly: true
        account:
          type: integer
        tax_rate:
          type: integer
          nullable: true
        department:
          type: integer
          nullable: true
      required:
        - account
        - account_name
        - account_number
        - created_at
        - customer
        - department_name
        - id
        - last_modified_at
        - tags
        - tax_rate_name
        - tax_rate_value
    AccountingDebitMemoPayment:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        payment_journal_entry_order:
          type: string
          readOnly: true
        voided_journal_entry_order:
          type: string
          readOnly: true
          nullable: true
        bill:
          type: string
          readOnly: true
        currency:
          type: string
          maxLength: 3
        amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        payment_date:
          type: string
          format: date
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        voided_date:
          type: string
          format: date
          nullable: true
        customer:
          type: integer
          readOnly: true
        debit_memo:
          type: integer
        payment_journal_entry:
          type: integer
        payment_transaction:
          type: integer
          nullable: true
        voided_journal_entry:
          type: integer
          nullable: true
      required:
        - bill
        - created_at
        - customer
        - debit_memo
        - id
        - last_modified_at
        - payment_journal_entry
        - payment_journal_entry_order
        - voided_journal_entry_order
    File:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        customer:
          type: integer
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        created_by:
          type: integer
          nullable: true
          readOnly: true
        created_by_name:
          type: string
          readOnly: true
        created_by_email:
          type: string
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        name:
          type: string
        url:
          type: string
          readOnly: true
        s3_content_type:
          type: string
          nullable: true
        s3_content_length:
          type: integer
          maximum: 2147483647
          minimum: 0
          nullable: true
        s3_path:
          type: string
        object_id:
          type: integer
          maximum: 2147483647
          minimum: 0
          nullable: true
        app:
          type: string
          readOnly: true
        model:
          type: string
          readOnly: true
        is_deleted:
          type: boolean
          readOnly: true
          default: false
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
      required:
        - app
        - created_at
        - created_by
        - created_by_email
        - created_by_name
        - customer
        - deleted_at
        - id
        - is_deleted
        - last_modified_at
        - model
        - name
        - s3_path
        - url
    ApplicationStatusEnum:
      enum:
        - open
        - partially_used
        - used
        - voided
      type: string
      description: |-
        * `open` - Open
        * `partially_used` - Partially Used
        * `used` - Used
        * `voided` - Voided
    BlankEnum:
      enum:
        - ''
    NullEnum:
      enum:
        - null
    TaxBehaviorEnum:
      enum:
        - inclusive
        - exclusive
      type: string
      description: |-
        * `inclusive` - Inclusive
        * `exclusive` - Exclusive
    TransactionTag:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        group_name:
          type: string
          readOnly: true
        parent_name:
          type: string
          readOnly: true
          nullable: true
        parent:
          type: integer
          nullable: true
        is_deleted:
          type: boolean
          readOnly: true
          default: false
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        is_active:
          type: boolean
          default: true
        name:
          type: string
          nullable: true
          maxLength: 250
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        customer:
          type: integer
          readOnly: true
        group:
          type: integer
          nullable: true
      required:
        - created_at
        - customer
        - deleted_at
        - group_name
        - id
        - is_deleted
        - last_modified_at
        - name
        - parent_name
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````